import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/yinhao0424/9f1730ca91ab6a472fc212761267fa39/raw/46cd617893451a311aa1cec1047e65f3dc65ab71/h1b_original.csv';

export const useCities = () => {
  const [data, setData] = useState(null);
	// console.log('data',data)
  useEffect(() => {
    const row = d => {
      d.Latitude = +d.lat;
      d.Longitude = +d.lon;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
